tinkerpop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dkupp...@apache.org
Subject [tinkerpop] 01/01: TINKERPOP-2125 Added source file check in release validation script
Date Wed, 16 Jan 2019 19:41:39 GMT
This is an automated email from the ASF dual-hosted git repository.

dkuppitz pushed a commit to branch TINKERPOP-2125
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit d7b104866c4c73a6850a4f028412021540dac4e4
Author: Daniel Kuppitz <daniel_kuppitz@hotmail.com>
AuthorDate: Wed Jan 16 12:34:10 2019 -0700

    TINKERPOP-2125 Added source file check in release validation script
---
 bin/validate-distribution.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/bin/validate-distribution.sh b/bin/validate-distribution.sh
index 55cb164..6a1e3e3 100755
--- a/bin/validate-distribution.sh
+++ b/bin/validate-distribution.sh
@@ -136,6 +136,20 @@ echo "OK"
 
 if [ "${TYPE}" = "SOURCE" ]; then
 cd ${DIR_NAME}
+echo -n "* checking source files ... "
+find . -type f | xargs -n1 -I {} file {} --mime | grep 'charset=binary' | cut -f1 -d: |
+  grep -Pv '^\./docs/(static|(site/home))/images/((icons|logos|policy|resources)/)?[^/]*\.(png|jpg|ico)$'
|
+  grep -Pv '^./gremlin-dotnet/src/images/[^/]*\.(png|ico)$' |
+  grep -Pv '^./gremlin-dotnet/.*\.snk$' |
+  grep -Pv '^./gremlin-server/src/test/resources/[^/]*\.(p12|jks)$' |
+  grep -Pv '/(resources|data)/.*\.(kryo|json)$' > ../binary-files.txt
+if [ -s ../binary-files.txt ]; then
+  echo "Found unexpected binary files (see $(cd .. ; pwd)/binary-files.txt)"
+  exit 1
+else
+  rm -f ../binary-files.txt
+  echo "OK"
+fi
 echo -n "* building project ... "
 touch {gremlin-dotnet,gremlin-dotnet/src,gremlin-dotnet/test,gremlin-python,gremlin-javascript}/.glv
 LOG_FILE="${TMP_DIR}/mvn-clean-install-${VERSION}.log"


Mime
View raw message